// creator  : weidu.exe (version 23100)
// argument : _TRANZI.DLG
// game		 : .
// source	 : ./override/_TRANZI.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_TRANZI~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 11 even though they appear after this state */
~NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #75296 /* ~Why do ya bother me?  Can't ya see that I'm in a hurry to get outta this damn town?~ */
  IF ~~ THEN REPLY #75297 /* ~Perhaps you could tell us WHY you are in such a hurry?~ */ GOTO 2
  IF ~~ THEN REPLY #34309 /* ~Sorry to bother you.~ */ GOTO 1
  IF ~~ THEN REPLY #75298 /* ~Stop where you are!  We know what you're all about, surrender and spill your guts.~ */ GOTO 4
  IF ~Global("X#BranwenTranzigDialogue","GLOBAL",0)
InParty("branwen")
InMyArea("branwen")
!StateCheck("branwen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BranwenTranzigDialogue","GLOBAL",1)~ EXTERN ~_BRANWJ~ 31
END

IF ~~ THEN BEGIN 1 // from: 15.0 14.0 6.0 4.1 2.1 0.1
  SAY #75299 /* ~Ya better be sorry, and ya better never bother me again!  Wait!  You're <CHARNAME>!  Well isn't this a nice surprise!  Time to die!~ */
  IF ~~ THEN DO ~EraseJournalEntry(88905)
EraseJournalEntry(75160)
Enemy()
~ SOLVED_JOURNAL #75310 /* ~Confronting Tranzig

I fought Tranzig at Feldepost's Inn in Beregost.  Mulahey's letters revealed that he was in league with the bandits and might know the location of their camp.  I thought he might be more forthcoming with information if I showed him I meant business.~ */ EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.0
  SAY #75300 /* ~I'm not gonna tell youse guys anything.  Git outta my face.~ */
  IF ~~ THEN REPLY #75301 /* ~You won't be rid of us that easily.  We know you're up to no good.  Now tell us everything you know.~ */ GOTO 4
  IF ~~ THEN REPLY #75302 /* ~We won't bother you any longer.~ */ GOTO 1
  IF ~~ THEN REPLY #75303 /* ~You needn't be so rude, we were just curious.~ */ GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.2
  SAY #75304 /* ~That's nice, but ya can be curious someplace else, now git outta here!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from: 2.0 0.2
  SAY #75305 /* ~Ya know what I'm up to, eh?  Well, maybe somethin' ya don't know about is my magic skills.  Ya might not believe me, but if you ain't outta my face in the next five seconds, I'll blast ya to kingdom come!~ */
  IF ~~ THEN REPLY #75306 /* ~You?!  Wielding magic!?  We can't suspend our disbelief that much.  Come along now and surrender, or we'll have to hurt you.~ */ GOTO 5
  IF ~~ THEN REPLY #75307 /* ~A mage!  We don't want no trouble with any mage.  You can be on your way.~ */ GOTO 1
  IF ~~ THEN REPLY #75308 /* ~We're not afraid of any mage.  If you want a fight, then bring it on.~ */ GOTO 5
END

IF ~~ THEN BEGIN 5 // from: 6.1 4.2 4.0
  SAY #75309 /* ~I warned ya, now you pay the price!~ */
  IF ~~ THEN DO ~EraseJournalEntry(88905)
EraseJournalEntry(75160)
Enemy()
~ SOLVED_JOURNAL #75310 /* ~Confronting Tranzig

I fought Tranzig at Feldepost's Inn in Beregost.  Mulahey's letters revealed that he was in league with the bandits and might know the location of their camp.  I thought he might be more forthcoming with information if I showed him I meant business.~ */ EXIT
END

IF ~~ THEN BEGIN 6 // from:
  SAY #75311 /* ~What are ya doing in dis place!  Get out, or I'll blast ya ta pieces!~ */
  IF ~~ THEN REPLY #75312 /* ~We apologize.  Just let us be on our way.~ */ GOTO 1
  IF ~~ THEN REPLY #75313 /* ~You don't scare us.  Come on, give us your best shot!~ */ GOTO 5
END

IF WEIGHT #2 /* Triggers after states #: 11 even though they appear after this state */
~HPLT(Myself,20)
~ THEN BEGIN 7 // from:
  SAY #75314 /* ~I give up!  Please let me live.  I'll tell ya anything ya wanna know.~ */
  IF ~~ THEN REPLY #75315 /* ~No mercy for such as you!~ */ GOTO 10
  IF ~~ THEN REPLY #75316 /* ~Spill your guts then!  If what you say satisfies us, then we'll let you live.~ */ DO ~EraseJournalEntry(75310)
~ SOLVED_JOURNAL #75317 /* ~Confronting Tranzig

I fought Tranzig into submission, and he revealed that he was a messenger for the bandits.  His job was to deliver messages between someone named Tazok and the now-deceased Mulahey.~ */ GOTO 8
  IF ~Global("X#TRANZI7","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#TRANZI7","GLOBAL",1)~ GOTO 17
  IF ~Global("X#TRANZI7","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#TRANZI7","GLOBAL",1)~ EXTERN ~_JAHEIJ~ 445
  IF ~Global("X#TRANZI7","GLOBAL",0)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#TRANZI7","GLOBAL",1)~ GOTO 19
  IF ~Global("X#TRANZI7","GLOBAL",0)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#TRANZI7","GLOBAL",1)~ EXTERN ~_SHARTJ~ 318
  IF ~Global("X#TRANZI7","GLOBAL",0)
InParty("branwen")
InMyArea("branwen")
!StateCheck("branwen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#TRANZI7","GLOBAL",1)~ GOTO 23
  IF ~Global("X#TRANZI7","GLOBAL",0)
InParty("branwen")
InMyArea("branwen")
!StateCheck("branwen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#TRANZI7","GLOBAL",1)~ EXTERN ~_BRANWJ~ 104
END

IF ~~ THEN BEGIN 8 // from: 28.1 27.1 26.1 25.1 24.1 23.1 22.1 21.1 20.1 19.1 18.1 17.1 7.1 _SHARTJ:320.1 _SHARTJ:319.1 _SHARTJ:318.1
  SAY #75318 /* ~Okay... okay, I'll talk.  I'm a messenger fer a man named Tazok.  I just ferry messages between him and a fat mage named Mulahey.  I meet with Tazok at either Peldvale or Larswood, east of the Friendly Arm inn.  Tazok pays me good, so I keep my yap shut.  Can I go now?~ */
  IF ~~ THEN REPLY #75319 /* ~Where can we find this Tazok?~ */ DO ~SetGlobal("BANDITENEMY","GLOBAL",1)
~ GOTO 9
  IF ~~ THEN REPLY #75321 /* ~Get out of here!~ */ DO ~ClearAllActions()
ChangeEnemyAlly(Myself,NEUTRAL)
RevealAreaOnMap("FW2400")
RevealAreaOnMap("FW2900")
EscapeArea()
~ UNSOLVED_JOURNAL #75320 /* ~Tazok and the bandits

My confrontation with Tranzig provided me with a clue as to where I might find his employer, Tazok.  Evidently Tranzig was to meet up with Tazok at either Peldvale or Larswood.  These places are located just east of the Friendly Arm Inn.~ */ EXIT
  IF ~~ THEN REPLY #75322 /* ~We have to kill you, otherwise you might warn this 'Tazok'.~ */ GOTO 10
  IF ~Global("X#BranwenTranzigDialogue1","GLOBAL",0)
InParty("branwen")
InMyArea("branwen")
!StateCheck("branwen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BranwenTranzigDialogue1","GLOBAL",1)~ EXTERN ~_BRANWJ~ 32
END

IF ~~ THEN BEGIN 9 // from: 8.0
  SAY #75323 /* ~Tazok?  You can find him in the Wood of Sharp Teeth.  He's the captain of two groups of bandits.  Their camp's always movin', so I don't know how much luck you'll have in findin' them.  Can I get outta here now?~ */
  IF ~~ THEN REPLY #75324 /* ~Ya, get out of our sight.~ */ DO ~ChangeEnemyAlly(Myself,NEUTRAL)
RevealAreaOnMap("FW2400")
RevealAreaOnMap("FW2900")
EscapeArea()
~ UNSOLVED_JOURNAL #75320 /* ~Tazok and the bandits

My confrontation with Tranzig provided me with a clue as to where I might find his employer, Tazok.  Evidently Tranzig was to meet up with Tazok at either Peldvale or Larswood.  These places are located just east of the Friendly Arm Inn.~ */ EXIT
  IF ~~ THEN REPLY #75325 /* ~We have to kill you, otherwise you might warn this 'Tazok.'~ */ GOTO 10
END

IF ~~ THEN BEGIN 10 // from: 28.0 27.0 26.0 25.0 24.0 23.0 22.0 21.0 20.0 19.0 18.0 17.0 13.0 9.1 8.2 7.0 _SHARTJ:320.0 _SHARTJ:319.0 _SHARTJ:318.0
  SAY #75326 /* ~I'm not gonna go down without a fight!~ */
  IF ~~ THEN DO ~EraseJournalEntry(88905)
EraseJournalEntry(75160)
Enemy()
~ EXIT
  IF ~Global("X#JaTranzi2","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JaTranzi2","GLOBAL",1)~ EXTERN ~_JAHEIJ~ 96
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
GlobalLT("Chapter","GLOBAL",4)
~ THEN BEGIN 11 // from:
  SAY #75327 /* ~Well buddy, if yer lookin' fer Tazok, you'll have ta search most of the Wood of Sharp Teeth.  He and his bandits move their camp from place ta place, so as to avoid the Flaming Fist.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #75320 /* ~Tazok and the bandits

My confrontation with Tranzig provided me with a clue as to where I might find his employer, Tazok.  Evidently Tranzig was to meet up with Tazok at either Peldvale or Larswood.  These places are located just east of the Friendly Arm Inn.~ */ EXIT
END

IF ~~ THEN BEGIN 12 // from:
  SAY #74940 /* ~Get out of my sight!  I'll do nothing for you!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 13 // from:
  SAY #98495 /* ~Ya been smarter as a stone!~ */
  IF ~~ THEN GOTO 10
END

IF ~~ THEN BEGIN 14 // from:
  SAY #98497 /* ~I hoped you'd smarten up some, big wench, before botherin' me again. But I see that ya didn't. Ya think I'd be afraid of you and these boors that freed ya from my spell?~ */
  IF ~~ THEN GOTO 1
  IF ~  InParty("branwen")
InMyArea("branwen")
!StateCheck("branwen",CD_STATE_NOTVALID)
~ THEN GOTO 15
END

IF ~~ THEN BEGIN 15 // from: 14.1
  SAY #98498 /* ~Stupid cow. If ya'll ain't outta my face in the next five seconds, I'll blast ya to kingdom come!~ */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 16 // from:
  SAY #98573 /* ~Ya all gonna die!~ */
  IF ~~ THEN DO ~EraseJournalEntry(88905)
EraseJournalEntry(75160)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 17 // from: 7.2
  SAY #98573 /* ~Ya all gonna die!~ */
  IF ~~ THEN REPLY #75315 /* ~No mercy for such as you!~ */ GOTO 10
  IF ~~ THEN REPLY #75316 /* ~Spill your guts then!  If what you say satisfies us, then we'll let you live.~ */ DO ~EraseJournalEntry(75310)
~ SOLVED_JOURNAL #75317 /* ~Confronting Tranzig

I fought Tranzig into submission, and he revealed that he was a messenger for the bandits.  His job was to deliver messages between someone named Tazok and the now-deceased Mulahey.~ */ GOTO 8
END

IF ~~ THEN BEGIN 18 // from:
  SAY #98573 /* ~Ya all gonna die!~ */
  IF ~~ THEN REPLY #75315 /* ~No mercy for such as you!~ */ GOTO 10
  IF ~~ THEN REPLY #75316 /* ~Spill your guts then!  If what you say satisfies us, then we'll let you live.~ */ DO ~EraseJournalEntry(75310)
~ SOLVED_JOURNAL #75317 /* ~Confronting Tranzig

I fought Tranzig into submission, and he revealed that he was a messenger for the bandits.  His job was to deliver messages between someone named Tazok and the now-deceased Mulahey.~ */ GOTO 8
END

IF ~~ THEN BEGIN 19 // from: 7.4
  SAY #103778 /* ~Bitch.~ */
  IF ~~ THEN REPLY #75315 /* ~No mercy for such as you!~ */ GOTO 10
  IF ~~ THEN REPLY #75316 /* ~Spill your guts then!  If what you say satisfies us, then we'll let you live.~ */ DO ~EraseJournalEntry(75310)
~ SOLVED_JOURNAL #75317 /* ~Confronting Tranzig

I fought Tranzig into submission, and he revealed that he was a messenger for the bandits.  His job was to deliver messages between someone named Tazok and the now-deceased Mulahey.~ */ GOTO 8
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN GOTO 20
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 446
END

IF ~~ THEN BEGIN 20 // from: 19.2
  SAY #98573 /* ~Ya all gonna die!~ */
  IF ~~ THEN REPLY #75315 /* ~No mercy for such as you!~ */ GOTO 10
  IF ~~ THEN REPLY #75316 /* ~Spill your guts then!  If what you say satisfies us, then we'll let you live.~ */ DO ~EraseJournalEntry(75310)
~ SOLVED_JOURNAL #75317 /* ~Confronting Tranzig

I fought Tranzig into submission, and he revealed that he was a messenger for the bandits.  His job was to deliver messages between someone named Tazok and the now-deceased Mulahey.~ */ GOTO 8
END

IF ~~ THEN BEGIN 21 // from: _SHARTJ:318.4
  SAY #103778 /* ~Bitch.~ */
  IF ~~ THEN REPLY #75315 /* ~No mercy for such as you!~ */ GOTO 10
  IF ~~ THEN REPLY #75316 /* ~Spill your guts then!  If what you say satisfies us, then we'll let you live.~ */ DO ~EraseJournalEntry(75310)
~ SOLVED_JOURNAL #75317 /* ~Confronting Tranzig

I fought Tranzig into submission, and he revealed that he was a messenger for the bandits.  His job was to deliver messages between someone named Tazok and the now-deceased Mulahey.~ */ GOTO 8
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN GOTO 22
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 447
END

IF ~~ THEN BEGIN 22 // from: 21.2 _SHARTJ:318.2
  SAY #98573 /* ~Ya all gonna die!~ */
  IF ~~ THEN REPLY #75315 /* ~No mercy for such as you!~ */ GOTO 10
  IF ~~ THEN REPLY #75316 /* ~Spill your guts then!  If what you say satisfies us, then we'll let you live.~ */ DO ~EraseJournalEntry(75310)
~ SOLVED_JOURNAL #75317 /* ~Confronting Tranzig

I fought Tranzig into submission, and he revealed that he was a messenger for the bandits.  His job was to deliver messages between someone named Tazok and the now-deceased Mulahey.~ */ GOTO 8
END

IF ~~ THEN BEGIN 23 // from: 7.6
  SAY #103776 /* ~No, I won't, I won't... *under his breath* Harpy!~ */
  IF ~~ THEN REPLY #75315 /* ~No mercy for such as you!~ */ GOTO 10
  IF ~~ THEN REPLY #75316 /* ~Spill your guts then!  If what you say satisfies us, then we'll let you live.~ */ DO ~EraseJournalEntry(75310)
~ SOLVED_JOURNAL #75317 /* ~Confronting Tranzig

I fought Tranzig into submission, and he revealed that he was a messenger for the bandits.  His job was to deliver messages between someone named Tazok and the now-deceased Mulahey.~ */ GOTO 8
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN GOTO 25
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 448
  IF ~  InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN GOTO 24
  IF ~  InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN EXTERN ~_SHARTJ~ 319
END

IF ~~ THEN BEGIN 24 // from: 23.4 _SHARTJ:319.4
  SAY #103778 /* ~Bitch.~ */
  IF ~~ THEN REPLY #75315 /* ~No mercy for such as you!~ */ GOTO 10
  IF ~~ THEN REPLY #75316 /* ~Spill your guts then!  If what you say satisfies us, then we'll let you live.~ */ DO ~EraseJournalEntry(75310)
~ SOLVED_JOURNAL #75317 /* ~Confronting Tranzig

I fought Tranzig into submission, and he revealed that he was a messenger for the bandits.  His job was to deliver messages between someone named Tazok and the now-deceased Mulahey.~ */ GOTO 8
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN GOTO 25
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 448
END

IF ~~ THEN BEGIN 25 // from: 24.2 23.2 _SHARTJ:319.2
  SAY #98573 /* ~Ya all gonna die!~ */
  IF ~~ THEN REPLY #75315 /* ~No mercy for such as you!~ */ GOTO 10
  IF ~~ THEN REPLY #75316 /* ~Spill your guts then!  If what you say satisfies us, then we'll let you live.~ */ DO ~EraseJournalEntry(75310)
~ SOLVED_JOURNAL #75317 /* ~Confronting Tranzig

I fought Tranzig into submission, and he revealed that he was a messenger for the bandits.  His job was to deliver messages between someone named Tazok and the now-deceased Mulahey.~ */ GOTO 8
END

IF ~~ THEN BEGIN 26 // from:
  SAY #103776 /* ~No, I won't, I won't... *under his breath* Harpy!~ */
  IF ~~ THEN REPLY #75315 /* ~No mercy for such as you!~ */ GOTO 10
  IF ~~ THEN REPLY #75316 /* ~Spill your guts then!  If what you say satisfies us, then we'll let you live.~ */ DO ~EraseJournalEntry(75310)
~ SOLVED_JOURNAL #75317 /* ~Confronting Tranzig

I fought Tranzig into submission, and he revealed that he was a messenger for the bandits.  His job was to deliver messages between someone named Tazok and the now-deceased Mulahey.~ */ GOTO 8
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN GOTO 28
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 449
  IF ~  InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN GOTO 27
  IF ~  InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN EXTERN ~_SHARTJ~ 320
END

IF ~~ THEN BEGIN 27 // from: 26.4 _SHARTJ:320.4
  SAY #103778 /* ~Bitch.~ */
  IF ~~ THEN REPLY #75315 /* ~No mercy for such as you!~ */ GOTO 10
  IF ~~ THEN REPLY #75316 /* ~Spill your guts then!  If what you say satisfies us, then we'll let you live.~ */ DO ~EraseJournalEntry(75310)
~ SOLVED_JOURNAL #75317 /* ~Confronting Tranzig

I fought Tranzig into submission, and he revealed that he was a messenger for the bandits.  His job was to deliver messages between someone named Tazok and the now-deceased Mulahey.~ */ GOTO 8
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN GOTO 28
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 449
END

IF ~~ THEN BEGIN 28 // from: 27.2 26.2 _SHARTJ:320.2
  SAY #98573 /* ~Ya all gonna die!~ */
  IF ~~ THEN REPLY #75315 /* ~No mercy for such as you!~ */ GOTO 10
  IF ~~ THEN REPLY #75316 /* ~Spill your guts then!  If what you say satisfies us, then we'll let you live.~ */ DO ~EraseJournalEntry(75310)
~ SOLVED_JOURNAL #75317 /* ~Confronting Tranzig

I fought Tranzig into submission, and he revealed that he was a messenger for the bandits.  His job was to deliver messages between someone named Tazok and the now-deceased Mulahey.~ */ GOTO 8
END
